Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634956 - app-portage/etc-proposals - port to PyQt5 or cleanup Qt4 support
Summary: app-portage/etc-proposals - port to PyQt5 or cleanup Qt4 support
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Brian Dolbec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-10-21 09:33 UTC by Andreas Sturmlechner
Modified: 2020-02-04 00:05 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-10-21 09:33:31 UTC
app-portage/etc-proposals has a qt4 USE flag to enable Qt4 support - since Qt4 is dead, this package either needs to be ported to PyQt5 or drop Qt4 support at some point.
Comment 1 Brian Dolbec gentoo-dev 2017-11-20 18:24:36 UTC
I don't know QT at all, so, unless someone puts in the effort to port it, I will have to drop Qt4 from the ebuild.
Comment 2 Andrius Štikonas 2017-11-20 18:43:33 UTC
I can't install PyQt5 t the moment as I've already upgraded to Qt 5.9.2 (and I haven't ever used PyQt myself) but briefly looked at

http://pyqt.sourceforge.net/Docs/PyQt5/pyqt4_differences.html

It looks like porting might be quite simple. Probably less than 15 lines of code changed (like PyQt4->PyQt5 and maybe something with connecting SLOTs).

So ideally, we wouldn't have to drop Qt4.
Comment 3 Andrius Štikonas 2017-11-20 20:18:49 UTC
ok, I've got PyQt5 working.

How do I start PyQt4 version? All I get is

~ $ python2 /usr/sbin/etc-proposals
Traceback (most recent call last):
  File "/usr/sbin/etc-proposals", line 86, in <module>
    exec(data, new_globals)
  File "<string>", line 11, in <module>
  File "/usr/lib64/python2.7/site-packages/etcproposals/etcproposals_lib.py", line 604, in <module>
    State = EtcProposalsState()
  File "/usr/lib64/python2.7/site-packages/etcproposals/etcproposals_lib.py", line 566, in __init__
    shelve.Shelf.__init__(self, anydbm.open(STATEFILE, 'c'))
  File "/usr/lib64/python2.7/anydbm.py", line 85, in open
    return mod.open(file, flag, mode)
gdbm.error: (2, 'No such file or directory')
Comment 4 Andreas Sturmlechner gentoo-dev 2018-03-03 21:34:13 UTC
Considering bug 287861 this should probably just be dropped. No one fixed it since 2012, so it probably won't happen in the next few weeks either.
Comment 5 Larry the Git Cow gentoo-dev 2018-03-04 20:05:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1be2d102568d7d336b1c6d99b1f93b5b89988b2d

commit 1be2d102568d7d336b1c6d99b1f93b5b89988b2d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-04 20:03:04 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-04 20:04:40 +0000

    app-portage/etc-proposals: Drop USE=gtk,qt4
    
    PyQt4 will be gone soon, maybe someone wishes to port to PyQt5 in future.
    
    Closes: https://bugs.gentoo.org/634956
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-portage/etc-proposals/etc-proposals-1.4.3-r3.ebuild | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)